Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Interface ContainerPlugin

All Superinterfaces:
  AllowedOperationsFlags, org.jboss.system.Service

All Known Subinterfaces:
  EJBProxyFactory, EntityCache, EntityPersistenceManager, EntityPersistenceStore, InstanceCache, InstancePool, Interceptor, JDBCEntityPersistenceStore, LocalContainerInvoker, LocalProxyFactory, StatefulSessionPersistenceManager

All Known Implementing Classes:
  AbstractInstanceCache, AbstractInstancePool, AbstractInterceptor, BaseLocalProxyFactory, BMPPersistenceManager, CMPFilePersistenceManager, CMPInMemoryPersistenceManager, CMPPersistenceManager, Container.AbstractContainerInterceptor, EntityInstanceCache, JBossMessageEndpointFactory, JDBCStoreManager, JDBCStoreManager2, JMSContainerInvoker, PerTxEntityInstanceCache, ProxyFactory, SingletonStatelessSessionInstancePool, StatefulSessionFilePersistenceManager

public interface ContainerPlugin
extends org.jboss.system.Service, AllowedOperationsFlags

This is a superinterface for all Container plugins.

All plugin interfaces must extend this interface.

Version:
  $Revision: 1.10 $
Author:
  Rickard �berg
See Also:
  `Service`

Field Summary

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Method Summary
`void` | `setContainer(Container con)` This callback is set by the container so that the plugin may access it

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### setContainer

    public void setContainer(Container con)

  This callback is set by the container so that the plugin may access it

  Parameters:
    `con` - The container using this plugin. This may be null if the plugin is being disassociated from a container.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.